Package: org.codehaus.groovy.control

## [Java] Interface ParserPlugin

-     public interface ParserPlugin

  A simple extension point to allow us to switch between the classic Groovy parser and the new Antlr based parser(s).

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ModuleNode` | `buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)`
    `` | `public static ModuleNode` | `buildAST(CharSequence sourceText, CompilerConfiguration config, GroovyClassLoader loader, ErrorCollector errors)`
    `` | `public Reduction` | `parseCST(SourceUnit sourceUnit, Reader reader)`

- - ### Method Detail

    - #### public ModuleNode buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)

    - #### public static ModuleNode buildAST(CharSequence sourceText, CompilerConfiguration config, GroovyClassLoader loader, ErrorCollector errors)

    - #### public Reduction parseCST(SourceUnit sourceUnit, Reader reader)